吾爱破解 - LCG - LSG |安卓破解|病毒分析|www.52pojie.cn

 找回密码
 注册[Register]

QQ登录

只需一步,快速开始

搜索
查看: 8079|回复: 94
上一主题 下一主题

[Python] PC端微信数据库解密Python版

  [复制链接]
跳转到指定楼层
楼主
Light紫星 发表于 2020-4-11 10:26 回帖奖励
本帖最后由 Light紫星 于 2020-4-11 22:08 编辑

PC端微信数据库解密,微信版本号为2.8.0.133,两个脚本一个用于获取key,一个是用来解密数据库文件的,使用Python3.7 32位运行。
代码参考网上现有的代码和工具,如有侵权,请告知删除本帖。

再加上一个exe的解密工具吧。


wechatDBdecrypt.zip

3.76 KB, 下载次数: 427, 下载积分: 吾爱币 -1 CB

DecryptWechat_exe.zip

1.21 MB, 下载次数: 439, 下载积分: 吾爱币 -1 CB

免费评分

参与人数 9吾爱币 +15 热心值 +9 收起 理由
ttaini168 + 1 + 1 谢谢@Thanks!
ttttmr + 1 + 1 谢谢@Thanks!
天画流雨 + 1 + 1 热心回复!
protech + 1 + 1 谢谢@Thanks!
kcb2002 + 1 + 1 热心回复!
liao + 1 + 1 感谢发布原创作品,吾爱破解论坛因你更精彩!
weiyuhero + 1 + 1 大佬大佬,这个是大佬! 果然按大佬方法可以读库。
苏紫方璇 + 7 + 1 感谢发布原创作品,吾爱破解论坛因你更精彩!
52Java + 1 + 1 感谢发布原创作品,吾爱破解论坛因你更精彩!

查看全部评分

发帖前要善用论坛搜索功能,那里可能会有你要找的答案或者已经有人发布过相同内容了,请勿重复发帖。

推荐
5032479833 发表于 2020-5-28 09:27
本帖最后由 5032479833 于 2020-5-28 11:40 编辑

Python 3.7.2 (tags/v3.7.2:9a3ffc0492, Dec 23 2018, 22:20:52) [MSC v.1916 32 bit (Intel)] on win32
Type "help", "copyright", "credits" or "license()" for more information.
>>>
===== RESTART: C:\Users\Admin\Desktop\PH\wechatDBdecrypt\wechatGetKey.py =====
Traceback (most recent call last):
  File "C:\Users\Admin\AppData\Local\Programs\Python\Python37-32\lib\site-packages\psutil\_common.py", line 449, in wrapper
    ret = self._cache[fun]
AttributeError: _cache

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\Admin\AppData\Local\Programs\Python\Python37-32\lib\site-packages\psutil\_pswindows.py", line 679, in wrapper
    return fun(self, *args, **kwargs)
  File "C:\Users\Admin\AppData\Local\Programs\Python\Python37-32\lib\site-packages\psutil\_common.py", line 452, in wrapper
    return fun(self)
  File "C:\Users\Admin\AppData\Local\Programs\Python\Python37-32\lib\site-packages\psutil\_pswindows.py", line 766, in exe
    exe = cext.proc_exe(self.pid)
PermissionError: [WinError 24] 程序发出命令,但命令长度不正确。: '(originated from NtQuerySystemInformation)'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\Admin\Desktop\PH\wechatDBdecrypt\wechatGetKey.py", line 361, in <module>
    pids = get_all_pid_name(names=['WeChat.exe'])
  File "C:\Users\Admin\Desktop\PH\wechatDBdecrypt\wechatGetKey.py", line 357, in get_all_pid_name
    if p.name() in names:
  File "C:\Users\Admin\AppData\Local\Programs\Python\Python37-32\lib\site-packages\psutil\__init__.py", line 630, in name
    name = self._proc.name()
  File "C:\Users\Admin\AppData\Local\Programs\Python\Python37-32\lib\site-packages\psutil\_pswindows.py", line 750, in name
    return os.path.basename(self.exe())
  File "C:\Users\Admin\AppData\Local\Programs\Python\Python37-32\lib\site-packages\psutil\_pswindows.py", line 681, in wrapper
    raise convert_oserror(err, pid=self.pid, name=self._name)
psutil.AccessDenied: psutil.AccessDenied (pid=1616)
>>>

@Light紫星
推荐
barnett2016 发表于 2020-5-9 13:08
C:\Users\xnj\Desktop\wechatDBdecrypt>python wechatGetKey.py
Traceback (most recent call last):
  File "wechatGetKey.py", line 361, in <module>
    pids = get_all_pid_name(names=['WeChat.exe'])
  File "wechatGetKey.py", line 356, in get_all_pid_name
    p = psutil.Process(pid)
  File "C:\Python37-32\lib\site-packages\psutil\__init__.py", line 346, in __ini
t__
    self._init(pid)
  File "C:\Python37-32\lib\site-packages\psutil\__init__.py", line 373, in _init

    self.create_time()
  File "C:\Python37-32\lib\site-packages\psutil\__init__.py", line 723, in creat
e_time
    self._create_time = self._proc.create_time()
  File "C:\Python37-32\lib\site-packages\psutil\_pswindows.py", line 681, in wra
pper
    raise convert_oserror(err, pid=self.pid, name=self._name)
  File "C:\Python37-32\lib\site-packages\psutil\_pswindows.py", line 671, in con
vert_oserror
    raise exc
  File "C:\Python37-32\lib\site-packages\psutil\_pswindows.py", line 679, in wra
pper
    return fun(self, *args, **kwargs)
  File "C:\Python37-32\lib\site-packages\psutil\_pswindows.py", line 933, in cre
ate_time
    user, system, created = cext.proc_times(self.pid)
OSError: [WinError 0] 操作成功完成。: '(originated from OpenProcess)'


使用的微信是280133版本
python是3.7.7 32位

获取密码时报错
沙发
52Java 发表于 2020-4-11 10:28
3#
weiyuhero 发表于 2020-4-11 10:30

大佬大佬,这个是大佬!  这个咋用了 能有个简单的说明吗?
4#
 楼主| Light紫星 发表于 2020-4-11 10:33 |楼主
weiyuhero 发表于 2020-4-11 10:30
大佬大佬,这个是大佬!  这个咋用了 能有个简单的说明吗?

在Python3.7 32位版本中运行就行了
5#
lbq凯越 发表于 2020-4-11 10:36
大佬大佬,这个是大佬!
6#
d8899p 发表于 2020-4-11 10:36
大佬大佬,这个是大佬!  
7#
elixon 发表于 2020-4-11 10:40
意思是可以解密本地存储的微信聊天记录?厉害了!
8#
xiguaya2017 发表于 2020-4-11 10:41
表示看不懂不过支持下
9#
cherrypi 发表于 2020-4-11 10:42
下载看看。
10#
Bruce_HD 发表于 2020-4-11 10:44
支持支持。
您需要登录后才可以回帖 登录 | 注册[Register]

本版积分规则 警告:本版块禁止灌水或回复与主题无关内容,违者重罚!

快速回复 收藏帖子 返回列表 搜索

RSS订阅|小黑屋|处罚记录|联系我们|吾爱破解 - LCG - LSG ( 京ICP备16042023号 | 京公网安备 11010502030087号 )

GMT+8, 2020-9-30 11:18

Powered by Discuz!

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表